{
    "custom_map" : {
           "common/util/cuda_runtime.h": "common/util/hip_runtime.h",
           "../util/cuda_runtime.h": "../util/hip_runtime.h",
           "common/util/cuda_driver.h": "common/util/hip_driver.h",
           "../util/cuda_driver.h": "../util/hip_driver.h",
           "common/util/cuda_nvml.h": "common/util/hip_nvml.h",
           "common/utils.cuh" : "common/utils_hip.cuh",
           "common/transpose/cast_transpose.h" : "common/transpose/cast_transpose_hip.h",
           "common/recipe/recipe_common.cuh" : "common/recipe/recipe_common_hip.cuh",
           "common/util/ptx.cuh" : "common/util/ptx_hip.cuh",
           "common/util/vectorized_pointwise.h" : "common/util/vectorized_pointwise_hip.h",
           "common/common.h" : "common/common_hip.h",
           "/userbuffers.h" : "/userbuffers_hip.h",
           "/logging.h" : "/logging_hip.h",
           "/system.h" : "/system_hip.h",
           "<cuda_bf16.h>" : "<hip/hip_bf16.h>",
           "<cuda_fp8.h>" : "\"amd_detail/hip_float8.h\"",
           "CUfunc_cache" : "hipFuncCache_t", 
           "<nvtx3/nvToolsExt.h>" : "<roctracer/roctx.h>",
           "cudaLaunchKernelExC" : "hipLaunchKernelExC",
           "cudaLaunchConfig_t" : "hipLaunchConfig_t",
           "cudaLaunchAttributeClusterDimension" : "hipLaunchAttributeClusterDimension",
           "cudaLaunchAttributeCooperative" : "hipLaunchAttributeCooperative",
           "cudaLaunchAttribute": "hipLaunchAttribute"
    }
   }
   
   